# **README File**

## Data Set Title
**ODI and BACODI**: A Study on Italo Calvino's *Il castello dei destini incrociati*. Ontology and Knowledge Base

## Data Set Authors
- **Enrica Bruno**  
  DHDK student, Dipartimento di Filologia Classica e Italianistica, Università di Bologna   <br>
  ORCID: [0009-0007-5620-3834](https://orcid.org/0009-0007-5620-3834)

- **Valentina Pasqual**  
  [/DH.ARC](https://centri.unibo.it/dharc/en) - Digital Humanities Advanced Research Centre, Dipartimento di Filologia Classica e Italianistica, Università di Bologna  <br> 
  ORCID: [0000-0001-5931-5187](https://orcid.org/0000-0001-5931-5187)

- **Francesca Tomasi**  
  [/DH.ARC](https://centri.unibo.it/dharc/en), Dipartimento di Filologia Classica e Italianistica, Università di Bologna  <br>
  ORCID: [0000-0002-6631-8607](https://orcid.org/0000-0002-6631-8607)

## Data Set Contacts
- **Enrica Bruno**: enrica.bruno@unibo.it
- **Valentina Pasqual**: valentina.pasqual2@unibo.it
- **Francesca Tomasi**: francesca.tomasi@unibo.it

## Data Set License
This data set is distributed under a **Creative Commons Attribution-NonCommercial 4.0 International** (**CC BY-NC 4.0**) license.  
[https://creativecommons.org/licenses/by-nc/4.0/](https://creativecommons.org/licenses/by-nc/4.0/)

## Publication Year
**2023**

## Data Set Contents
Inside the data folder (**odi.zip**), you will find:
- 1 ontology in OWL format:  
  **odi.owl** 

- 1 knowledge base in Turtle format:  
  **bacodi.ttl**

- 1 README file in MD format:  
  **README.md**

## Data Set Documentation

### Abstract
This dataset contains all the data concerning the study of Italo Calvino's "macchina narrativa combinatoria" from the first collection of *Il castello dei destini incrociati*, presented at [https://projects.dharc.unibo.it/odi/](https://projects.dharc.unibo.it/odi/). This project aims to study the narratological use of tarot cards and their combinatorial relations in the stories of the first collection of Italo Calvino's *Il castello dei destini incrociati*. 

In particular, two objects have been created: 
- **ODI** (Ontologia dei Destini incrociati di Italo Calvino), a conceptualization of the work through classes and properties.
- **BACODI** (Base di Conoscenza dell'Ontologia dei Destini incrociati di Italo Calvino), the knowledge base modeled on ODI, which stores tarot cards in their narrative and iconographic dimensions.

### Notes
- The technical documentation website, documenting **ODI** and **BACODI**, can be found at [https://odi-documentation.github.io/materials/](https://odi-documentation.github.io/materials/). The website source code of is available at [![DOI](https://zenodo.org/badge/604131567.svg)](https://doi.org/10.5281/zenodo.15012914).

- **BACODI** contents can be browsed through the web app **MACODI** ([https://projects.dharc.unibo.it/odi/](https://projects.dharc.unibo.it/odi/)), an interface to explore a semantic narrative of the work. MACODI source code is available at [![DOI](https://zenodo.org/badge/750782543.svg)](https://doi.org/10.5281/zenodo.15181658).